Subject: AW: AW: [Geopriv] I-D ACTION:draft-ietf-geopriv-radius-lo-03.txt

From: "Tschofenig, Hannes" <[email-masked]>
Date: Wed, 13 Jul 2005 13:36:23 +0200

thanks john. 

reusing existing work (including rfc 3825) was the idea in the radius-geopriv document.  
appendix a.1 and a.2 show some nice examples regarding the usage of the 2s-complement. 
i haven't repeated them in the radius-geopriv document because it seems to be an overkill.  

ciao
hannes

> -----Ursprüngliche Nachricht-----
> Von: John Schnizlein [mailto:[email-masked]] 
> Gesendet: Mittwoch, 13. Juli 2005 13:31
> An: Tschofenig, Hannes
> Cc: James M. Polk; Marc Linsner; Carl Reed OGC; [email-masked]
> Betreff: Re: AW: [Geopriv] I-D 
> ACTION:draft-ietf-geopriv-radius-lo-03.txt 
> 
> 
> In RFC 3825 "Latitude and Longitude are represented in fixed-point 
> 2s-complement binary degrees".  Because 2s-complement binary covers 
> positive and negative numbers, the normal conventions for positive 
> latitude North of the equator (negative South) and positive 
> longitudes 
> East of the Meridian (negative West) apply.
> 
> It is not a bug.  Reusing already defined formats is the normal 
> tradition in the IETF. Not repeating the details avoids maintenance 
> problems and produces efficient documents.
> 
> John
> 
> On Jul 13, 2005, at 5:16 AM, Tschofenig, Hannes wrote:
> 
> > hi carl,
> >
> > this is an interesting comment. if your concern is correct 
> then there 
> > might be the following problem:
> > a) i have made a mistake when i reused the rfc 3825 text
> > b) rfc 3825 has a bug
> >
> > maybe james or marc can help to clarify this issue since 
> they are they 
> > authors of rfc 3825.
> > looking at rfc 3825 i tend to argue that there is no problem.
> >
> > ciao
> > hannes
> >
> >> Gesendet: Donnerstag, 7. Juli 2005 18:19
> >> An: [email-masked]
> >> Betreff: Re: [Geopriv] I-D 
> ACTION:draft-ietf-geopriv-radius-lo-03.txt
> >>
> >> I just finished reading the radius document on carrying
> >> location objects in RADIUS. I might suggest a slight 
> modification to 
> >> how Lat/Long
> >> are expressed in the payload (section 10.3). In the 
> current version 
> >> of the
> >> document, there is no indication of the Lat/Lon format nor 
> is there 
> >> any
> >> indication of how one handles north/south of the equator and 
> >> east/west of the meridian.
> >>
> 

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv